#!/usr/bin/env python3
# -*- coding: utf-8 -*-

import locale
locale.setlocale(locale.LC_ALL, '')

from tuikit import Application, VerticalLayout, ComboBox, Checkbox


class MyApplication(Application):
    def __init__(self):
        Application.__init__(self)
        self.top = VerticalLayout(homogeneous=False)
        self.top.add_handler('keypress', self.on_top_keypress)

        combo = ComboBox(items=['abc', 'xyz'])
        self.top.add(combo)

        for i in range(10):
            cbox = Checkbox('checkbox ' + str(i))
            self.top.add(cbox)

    def on_top_keypress(self, ev):
        if ev.keyname == 'escape' or ev.char == 'q':
            self.terminate()


if __name__ == '__main__':
    app = MyApplication()
    app.start()

